/*
	CSS Rules
		selector {
			property:  value;
		}
	CSS Selectors (In order of specificity) 
	ID Selector will override the class, attribute, type, and universal. 
	1. ID Selector - used to target a specific element using its ID
	2. Class Selector - used to target elements with the referenced class
	3. Attribute Selector - only works based on the exact attribute syntax provided
	4. Type Selector - used to target elements with a specified type/tag name.
	5. Universal Selector - used to target all elements.
*/

/*
Specificity
There is also the !important - overrides everything
color: red !important;


*/


/*Universal Selector*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*Type Selector*/
h1 {
	color:  blue;
}

/*ID Selector*/
#zuitt-motto {
	letter-spacing: 5px;
}

/*Class Selector*/
.offering-item {
	text-transform: uppercase;
}

/*Attribute Selector*/
/*tag[attribute]*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}

/*Adjacent Sibling Selector - the second selector(img) is the target element.*/
/*selector1 + selector2*/
h3 + img {
	height: 300px;
	width:  300px;
	border-radius: 150px;
}

/*Descendant Selector*/
/*selector1 + selector2*/
#bootcamp-learning-list li {
	color: yellow;
}

/*General Sibling Selector*/
/*selector1 ~ selector2*/
h2 ~ a {
	text-decoration: none;
}

/*Child Selector*/
/*selector1 > selector1*/
body > section > form > label {
	color:  rgb(0,128,0);
}
/*Multiple Selector*/
/*p, #test, .test {
	style:  properties;
}
*/
